package pw.linkr.bukkit.seeya.uuid;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.concurrent.Callable;

import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;

import lombok.AllArgsConstructor;

public @AllArgsConstructor class LookupUUID implements Callable<String>{

	private JSONParser parser;
	private String name;

	@Override
	public String call() throws Exception {
		JSONObject jsonReturn = (JSONObject)parser.parse(new BufferedReader(new InputStreamReader(new URL("http://uuid.imnjb.me/uuid/" + name).openStream())));
		return (String)jsonReturn.get("uuid");
	}

}
